
fuelUsagePC = {};

function fuelUsagePC.prerequisitesPresent(specializations)
    return true;
end;
function fuelUsagePC:load(xmlFile)
end;
function fuelUsagePC:delete()
end;
function fuelUsagePC:mouseEvent(posX, posY, isDown, isUp, button)
end;
function fuelUsagePC:keyEvent(unicode, sym, modifier, isDown)
end;
function fuelUsagePC:onAttach(attacherVehicle)
	self.attacherVehicleCopy = attacherVehicle;
end;
function fuelUsagePC:onDetach()
	self.attacherVehicleCopy = nil;
end;
function fuelUsagePC:update(dt)
	if self:getIsActive() then			
		if self.ploughHasGroundContact ~= nil then
			if self.ploughHasGroundContact == true then
				if self.attacherVehicleCopy.isMotorStarted then
					if self.attacherVehicle.movingDirection ~= 0 then
						local kmhMath = math.max(1, (self.attacherVehicleCopy.lastSpeed*self.attacherVehicleCopy.speedDisplayScale*3600)/3);
						local fuelUsed = 0.0001*kmhMath;
						--renderText(0.1, 0.3, 0.021, tostring("self.fuelUsage: " .. fuelUsed));		
						self.attacherVehicleCopy:setFuelFillLevel(self.attacherVehicleCopy.fuelFillLevel-fuelUsed);
						g_currentMission.missionStats.fuelUsageTotal = g_currentMission.missionStats.fuelUsageTotal + fuelUsed;
						g_currentMission.missionStats.fuelUsageSession = g_currentMission.missionStats.fuelUsageSession + fuelUsed;
					end;
				end;
			end;
		end;
		if self.cultivatorHasGroundContact ~= nil then
			if self.cultivatorHasGroundContact == true then
				if self.attacherVehicleCopy.isMotorStarted then
					if self.attacherVehicle.movingDirection ~= 0 then
						local kmhMath = math.max(1, (self.attacherVehicleCopy.lastSpeed*self.attacherVehicleCopy.speedDisplayScale*3600)/2.5);
						local fuelUsed = 0.0001*kmhMath;
						--renderText(0.1, 0.3, 0.021, tostring("self.fuelUsage: " .. fuelUsed));							
						self.attacherVehicleCopy:setFuelFillLevel(self.attacherVehicleCopy.fuelFillLevel-fuelUsed);
						g_currentMission.missionStats.fuelUsageTotal = g_currentMission.missionStats.fuelUsageTotal + fuelUsed;
						g_currentMission.missionStats.fuelUsageSession = g_currentMission.missionStats.fuelUsageSession + fuelUsed;
					end;
				end;
			end;
		end;		
	end;	
end;

function fuelUsagePC:draw()	
end;


